%define upstream_name    ExtUtils-PkgConfig
%define upstream_version 1.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Perl module for further extending extensions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: pkgconfig
BuildArch: noarch


%description
This module tries to make it easy to build Perl extensions that use
functions and typemaps provided by other perl extensions. This means
that a perl extension is treated like a shared library that provides
also a C and an XS interface besides the perl one.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
#find -type d -name CVS | rm -fr
%{__perl} Makefile.PL INSTALLDIRS=vendor

%build
make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes
%{_mandir}/*/*
%{perl_vendorlib}/ExtUtils/*.pm


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.150.0-6.mga6
+ Revision: 1027226
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.150.0-5.mga6
+ Revision: 936258
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.150.0-4.mga5
+ Revision: 747863
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.150.0-3.mga5
+ Revision: 684690
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.150.0-2.mga4
+ Revision: 538385
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 tv <tv> 1.150.0-1.mga4
+ Revision: 489501
- new release

* Sat May 25 2013 tv <tv> 1.140.0-1.mga4
+ Revision: 427321
- new release

* Sun Jan 13 2013 umeabot <umeabot> 1.130.0-2.mga3
+ Revision: 367060
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 tv <tv> 1.130.0-1.mga3
+ Revision: 251792
- new release

* Tue Jan 18 2011 jquelin <jquelin> 1.120.0-2.mga1
+ Revision: 23237
- cleaning spec file
- imported package perl-ExtUtils-PkgConfig

